#pragma once
#include <glad/glad.h>
class Buffer {
private:
	unsigned int id;
public:

	int getBufferID();

	void createBuffer();

	void setBufferData(void* data, size_t dataSize, bool elementBuffer );

	void Bind(bool elementBuffer);
	void Unbind(bool elementBuffer);

	void Delete();

};